## org.eclipse.m2m.atl.engine.emfvm.lib
Class ASMModule

    java.lang.Object
      org.eclipse.m2m.atl.engine.emfvm.lib.ASMModule

All Implemented Interfaces:
  HasFields

    public class ASMModule

extends java.lang.Object
implements HasFields

The ASM Module, which symbolizes an ATL transformation.

Constructor Summary
`ASMModule()` Creates a new ASMModule.
`ASMModule(java.lang.String name)` Creates a new ASMModule with the given name.

Method Summary
`java.util.Map<java.lang.Object,java.lang.Object>` `asMap()` Returns the map of the fields.
`java.lang.Object` `get(AbstractStackFrame frame, java.lang.Object name)` Gets a value.
`void` `set(AbstractStackFrame frame, java.lang.Object name, java.lang.Object value)` Sets a value to the object.
`java.lang.String` `toString()`
`void` `unset(AbstractStackFrame frame, java.lang.Object name)` Unsets a value to the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASMModule

    public ASMModule(java.lang.String name)

  Creates a new ASMModule with the given name.

  Parameters:
    `name` - the module name

### ASMModule

    public ASMModule()

  Creates a new ASMModule.

Method Detail

### set

    public void set(AbstractStackFrame frame,
                    java.lang.Object name,
                    java.lang.Object value)

  Sets a value to the object.

  Specified by:
    `set` in interface `HasFields`
  Parameters:
    `frame` - the frame context
    `name` - the value name
    `value` - the value
  See Also:
    `HasFields.set(org.eclipse.m2m.atl.engine.emfvm.lib.AbstractStackFrame, java.lang.Object, java.lang.Object)`

### get

    public java.lang.Object get(AbstractStackFrame frame,
                                java.lang.Object name)

  Gets a value.

  Specified by:
    `get` in interface `HasFields`
  Parameters:
    `frame` - the frame context
    `name` - the value name
  Returns:
    the value
  See Also:
    `HasFields.get(org.eclipse.m2m.atl.engine.emfvm.lib.AbstractStackFrame, java.lang.Object)`

### unset

    public void unset(AbstractStackFrame frame,
                      java.lang.Object name)

  Unsets a value to the object.

  Specified by:
    `unset` in interface `HasFields`
  Parameters:
    `frame` - the frame context
    `name` - the value name
  See Also:
    `HasFields.unset(org.eclipse.m2m.atl.engine.emfvm.lib.AbstractStackFrame, java.lang.Object)`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

### asMap

    public java.util.Map<java.lang.Object,java.lang.Object> asMap()

  Returns the map of the fields.

  Returns:
    the map of the fields

Copyright 2007 IBM Corporation and others. All Rights Reserved.